Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Switch to the new sbt.full.library version scheme.

  • Loading branch information...
commit e41990d3c5bdd5def2c418227e0cad7cbffb4fa8 1 parent f7f46ce
@dragos dragos authored
View
2  org.scala-ide.build-toolchain/pom.xml
@@ -9,7 +9,7 @@
<packaging>pom</packaging>
<properties>
- <sbt.version>0.11.4</sbt.version>
+ <sbt.version>0.11.2-scalaide-01</sbt.version>
<patch.level>p0002</patch.level>
<encoding>UTF-8</encoding>
<scala.library.version>${scala.version}</scala.library.version>
View
42 org.scala-ide.build/pom.xml
@@ -12,12 +12,12 @@
<version.tag>nightly</version.tag>
<version.suffix>2_10</version.suffix>
<scala.version.short>2.10</scala.version.short>
- <sbt.version>0.11.4</sbt.version>
<tycho.version>0.12.0</tycho.version>
<maven.compiler.source>1.5</maven.compiler.source>
<maven.compiler.target>1.5</maven.compiler.target>
<encoding>UTF-8</encoding>
<repo.scala-ide>http://download.scala-ide.org</repo.scala-ide>
+ <repo.toolchain>${repo.scala-ide}</repo.toolchain>
<repo.indigo>http://download.eclipse.org/releases/indigo/</repo.indigo>
<repo.ajdt>http://download.eclipse.org/tools/ajdt/37/update</repo.ajdt>
</properties>
@@ -355,23 +355,23 @@
<properties>
<version.suffix>2_10</version.suffix>
</properties>
- <dependencies>
- <dependency>
- <groupId>org.scala-ide</groupId>
- <artifactId>org.scala-ide.scala.library</artifactId>
- <version>${scala.version}</version>
- </dependency>
- <dependency>
- <groupId>org.scala-ide</groupId>
- <artifactId>org.scala-ide.scala.compiler</artifactId>
- <version>${scala.version}</version>
- </dependency>
- <dependency>
- <groupId>org.scala-ide</groupId>
- <artifactId>org.scala-ide.sbt.full.library</artifactId>
- <version>[${sbt.version}.${version.suffix},)</version>
- </dependency>
- </dependencies>
+ <!-- <dependencies> -->
+ <!-- <dependency> -->
+ <!-- <groupId>org.scala-ide</groupId> -->
+ <!-- <artifactId>org.scala-ide.scala.library</artifactId> -->
+ <!-- <version>${scala.version}</version> -->
+ <!-- </dependency> -->
+ <!-- <dependency> -->
+ <!-- <groupId>org.scala-ide</groupId> -->
+ <!-- <artifactId>org.scala-ide.scala.compiler</artifactId> -->
+ <!-- <version>${scala.version}</version> -->
+ <!-- </dependency> -->
+ <!-- <dependency> -->
+ <!-- <groupId>org.scala-ide</groupId> -->
+ <!-- <artifactId>org.scala-ide.sbt.full.library</artifactId> -->
+ <!-- <version>[${sbt.version},)</version> -->
+ <!-- </dependency> -->
+ <!-- </dependencies> -->
<repositories>
<repository>
<id>scala-refactoring-trunk</id>
@@ -387,6 +387,12 @@
<layout>p2</layout>
<url>${repo.scala-ide}/scalariform-trunk</url>
</repository>
+ <repository>
+ <id>scala-toolchain-trunk</id>
+ <name>Scala Toolchain trunk p2 repository</name>
+ <layout>p2</layout>
+ <url>${repo.toolchain}/scala-eclipse-toolchain-osgi-trunk</url>
+ </repository>
</repositories>
</profile>
</profiles>
View
2  org.scala-ide.sbt.full.library/pom.xml
@@ -9,7 +9,7 @@
<relativePath>../org.scala-ide.build-toolchain/pom.xml</relativePath>
</parent>
<artifactId>org.scala-ide.sbt.full.library</artifactId>
- <version>${sbt.version}.${version.suffix}-${maven.build.timestamp}</version>
+ <version>${sbt.version}-${version.suffix}-${maven.build.timestamp}</version>
<packaging>bundle</packaging>
<dependencies>
<dependency>
View
2  org.scala-ide.sdt.core/META-INF/MANIFEST.MF
@@ -42,7 +42,7 @@ Require-Bundle:
org.scala-ide.scala.library,
org.scala-ide.scala.compiler,
org.scala-refactoring.library,
- org.scala-ide.sbt.full.library;bundle-version="[0.10.3,0.12.0)",
+ org.scala-ide.sbt.full.library;bundle-version="[0.11.2,0.11.3)",
scalariform,
org.junit4;bundle-version="4.5.0",
org.eclipse.ui.browser;bundle-version="3.3.0"
Please sign in to comment.
Something went wrong with that request. Please try again.